#Ignore the private key and public key credentials
ssh-credentials/

#Ignore cache folder for buildx builds
testcase-buildx-cache-cached

# Ignore java compiled folders
target/
*.jar
builders/tmp/
builders/tmp_cache/

# Ignore maven files
dependency-reduced-pom.xml
pom.xml.versionsBackup

# Ignore eclipse files
.classpath
.settings/
.project
.cproject

#ingore vscode files
.vscode
.factorypath

# Ignore IntelliJ files
.idea/
*.iml

# Ignore Python binding build
build/

# Ignore packages
builders/packages/*

# Ignore Redis bundle build
utils/storage/redisPSCO/COMPSs-Redis-bundle


# ========== Java ignores =================

# Compiled class file
*.class

# Package Files
*.jar
*.war
*.ear
*.zip
*.tar.gz
*.rar

# Ignore java compiled folders
target/

# virtual machine crash logs, see http://www.java.com/en/download/help/error_hotspot.xml
hs_err_pid*


# ========== Python ignores =================

# Byte-compiled / optimized / DLL files
__pycache__/
*.py[cod]
*$py.class

# C extensions
*.so

# Distribution / packaging
.Python
build/
develop-eggs/
dist/
downloads/
eggs/
.eggs/
lib/
lib64/
parts/
sdist/
var/
wheels/
*.egg-info/
.installed.cfg
*.egg
MANIFEST

# PyInstaller
#  Usually these files are written by a python script from a template
#  before PyInstaller builds the exe, so as to inject date/other infos into it.
*.manifest

# Installer logs
pip-log.txt
pip-delete-this-directory.txt

# Unit test / coverage reports
htmlcov/
.tox/
.coverage
.coverage.*
.cache
nosetests.xml
coverage.xml
*.cover
.hypothesis/
.pytest_cache/

# Translations
*.mo
*.pot

# PyBuilder
target/

# Jupyter Notebook
.ipynb_checkpoints


# ========== C & C++ ignores =================

# Prerequisites
*.d

# Object files
*.o
*.ko
*.obj
*.elf
*.slo

# Linker output
*.ilk
*.map
*.exp

# Precompiled Headers
*.gch
*.pch

# Libraries
*.lib
*.a
*.la
*.lo
*.lai

# Shared objects (inc. Windows DLLs)
*.so
*.so.*
*.dylib

# Executables
*.app
*.i*86
*.x86_64
*.hex

# Debug files
*.dSYM/
*.su
*.idb
*.pdb

# Kernel Module Compile Results
*.mod*
*.cmd
.tmp_versions/
modules.order
Module.symvers
Mkfile.old
dkms.conf

# Fortran module files
*.mod
*.smod

# Do ignore JAVA_GAT compiled files
!dependencies/JAVA_GAT/api-src.zip
!dependencies/JAVA_GAT/lib/
!dependencies/JAVA_GAT/**/*.jar

# Ignore JAXB files
compss/runtime/config/xml/monitor/src/main/
compss/runtime/config/xml/projects/src/main/java/META-INF/
compss/runtime/config/xml/projects/src/main/java/es/bsc/compss/types/project/jaxb/
compss/runtime/config/xml/resources/src/main/java/META-INF/
compss/runtime/config/xml/resources/src/main/java/es/bsc/compss/types/resources/jaxb/

# Ignore configuration files
tests/configurations/*.cfg
!tests/configurations/NIO.cfg
!tests/configurations/GAT.cfg
!tests/configurations/MT.cfg
!tests/configurations/MN.cfg
tests/scripts/hosts.backup

# Ignore PyCOMPSs AutoParallel submodule patches
compss/programming_model/bindings/python/src/pycompss/api/parallel.py
compss/programming_model/bindings/python/src/pycompss/api/tests_parallel
compss/programming_model/bindings/python/src/pycompss/util/translators

# Generated source files
compss/programming_model/bindings/bindings-common/src/data_type.h
compss/programming_model/bindings/python/src/pycompss/api/commons/data_type.py
